LifterLMS Gravity Forms

LifterLMS Gravity Forms Version 2.0.0

WARNING: This is a major update!. Dependencies and requirements have changed. Make sure that you are using LifterLMS 3.21.0 or later as well as the latest versions of Gravity Forms and Gravity Forms User Registration before proceeding with this update

Dependency changes and requirements
  • Now Requires LifterLMS 3.21.0 or later
  • Requires PHP 5.6 or later (7.2 recommended)
  • Tested with WordPress 4.9.8, Gravity Forms Core 2.3.3, and Gravity Forms User Registration 3.9.5
Updates and Enhancements
  • Replace any LifterLMS user management form with a Gravity Form when using Gravity Forms User Registration
  • LifterLMS reporting now displays the related form entry when reviewing a student’s course progress
  • Added cascading lesson progression settings to allow configuring form submission requirements globally, for each course, and for each lesson.
  • Added option to automatically login users during user registration through a Gravity Form
Bug fixes
  • Fixed an issue encountered during engagment creation resulting from LifterLMS core updates
Backwards incompatible changes
  • Global settings for user registration integration have changed and must be reset upon upgrade!
  • Form submission will no longer attempt to auto-advance lessons. Instead, control advancement via form confirmation settings
  • Most public functions used from actions & filters in LLMS_Integration_GravityForms are no longer accessible or have been removed or renamed
  • Removed unused constant LLMS_GF_PLUGIN_TEMPLATES_DIR
  • Removed deprecated LifterLMS Helper class from LifterLMS core versions 2.x and earlier
  • Removed template templates/global/form-registration.php in favor of actions & filters
  • Removed template templates/myaccount/form-edit-account.php in favor of actions & filters